## asterisk 1.8.10.0~dfsg

=== codecs/gsm/Makefile ===
# Copyright 1992-1996 by Jutta Degener and Carsten Bormann, Technische
# Universitaet Berlin.  See the accompanying file "COPYRIGHT" for
# details.  THERE IS ABSOLUTELY NO WARRANTY FOR THIS SOFTWARE.

# Machine- or installation dependent flags you should configure to port

SASR	= -DSASR
######### Define SASR if >> is a signed arithmetic shift (-1 >> 1 == -1)

#MULHACK = -DUSE_FLOAT_MUL
######### Define this if your host multiplies floats faster than integers,
######### e.g. on a SPARCstation.

#FAST	= -DFAST
######### Define together with USE_FLOAT_MUL to enable the GSM library's
######### approximation option for incorrect, but good-enough results.

# LTP_CUT	= -DLTP_CUT
LTP_CUT	=
######### Define to enable the GSM library's long-term correlation 
######### approximation option---faster, but worse; works for
######### both integer and floating point multiplications.
######### This flag is still in the experimental stage.

WAV49	= -DWAV49
#WAV49	=
######### Define to enable the GSM library's option to pack GSM frames 
######### in the style used by the WAV #49 format.  If you want to write
######### a tool that produces .WAV files which contain GSM-encoded data,
######### define this, and read about the GSM_OPT_WAV49 option in the
######### manual page on gsm_option(3).

#K6OPT	= -DK6OPT
#K6OPT	=
######### Define to enable MMXTM optimizations for x86 architecture CPU's
######### which support MMX instructions.  This should be newer pentiums,
######### ppro's, etc, as well as the AMD K6 and K7.  The compile will
######### probably require gcc. 

# Due to the gsm codec beeing broken when compiled with gcc version 4.2
# and optimization higher than -O2 we are checking for that version and
# set the optimization to -O2 in this case.

ifeq ($(shell $(CC) -v 2>&1 | awk '/^gcc version/ { split($$3, v, "."); printf "%s.%s\n", v[1], v[2]; }' ),4.2)
OPTIMIZE=-O2
endif

ifeq (,$(findstring $(shell uname -s),Darwin SunOS))
  ifeq (,$(strip $(findstring $(PROC) ,"x86_64 amd64 ultrasparc sparc64 arm armv5b armeb ppc powerpc ppc64 ia64 s390 bfin mipsel mips ")))
    ifeq (,$(strip $(findstring $(shell uname -m) ,"ppc ppc64 alpha armv4l s390 ")))
      OPTIMIZE+=-march=$(PROC)
    endif
  endif
else
  ifneq (,$(findstring $(OSARCH),Darwin))
    ifeq ($(shell if test `/usr/bin/sw_vers -productVersion | cut -c4` -gt 5; then echo 6; else echo 0; fi),6)
      # Snow Leopard/Lion reports i386, even though it's really x86_64
      OPTIMIZE+=-mtune=native
    endif
  endif
endif

#The problem with sparc is the best stuff is in newer versions of gcc (post 3.0) only.
#This works for even old (2.96) versions of gcc and provides a small boost either way.
#A ultrasparc cpu is really v9 but the stock debian stable 3.0 gcc doesn't support it.
#So we go lowest common available by gcc and go a step down, still a step up from
#the default as we now have a better instruction set to work with. - Belgarath
ifeq ($(PROC),ultrasparc)
OPTIMIZE+=-mcpu=v8 -mtune=$(PROC) -O3 
endif

PG =
#PG = -g -pg
######### Profiling flags.  If you don't know what that means, leave it blank.
 
# Choose a compiler.  The code works both with ANSI and K&R-C.
# Use -DNeedFunctionPrototypes to compile with, -UNeedFunctionPrototypes to
# compile without, function prototypes in the header files.
#
# You can use the -DSTUPID_COMPILER to circumvent some compilers'
# static limits regarding the number of subexpressions in a statement.

# CC		= cc
# CCFLAGS 	= -c -DSTUPID_COMPILER

# CC		= /usr/lang/acc
# CCFLAGS 	= -c -O

CCFLAGS 	+= -c -DNeedFunctionPrototypes=1 -funroll-loops $(OPTIMIZE)

# LD		= gcc
# LDFLAGS 	=


# If your compiler needs additional flags/libraries, regardless of
# the source compiled, configure them here.

# CCINC	= -I/usr/gnu/lib/gcc-2.1/gcc-lib/sparc-sun-sunos4.1.2/2.1/include
######### Includes needed by $(CC)

# LDINC	= -L/usr/gnu/lib/gcc-2.1/gcc-lib/sparc-sun-sunos4.1.2/2.1
######### Library paths needed by $(LD)

# LDLIB	= -lgcc
######### Additional libraries needed by $(LD)


# Where do you want to install libraries, binaries, a header file
# and the manual pages?
#
# Leave INSTALL_ROOT empty (or just don't execute "make install") to
# not install gsm and toast outside of this directory.

INSTALL_ROOT	=

# Where do you want to install the gsm library, header file, and manpages?
#
# Leave GSM_INSTALL_ROOT empty to not install the GSM library outside of
# this directory.

GSM_INSTALL_ROOT = $(INSTALL_ROOT)
GSM_INSTALL_LIB = $(GSM_INSTALL_ROOT)/lib
GSM_INSTALL_INC = $(GSM_INSTALL_ROOT)/inc
GSM_INSTALL_MAN = $(GSM_INSTALL_ROOT)/man/man3


# Where do you want to install the toast binaries and their manpage?
#
# Leave TOAST_INSTALL_ROOT empty to not install the toast binaries outside
# of this directory.

TOAST_INSTALL_ROOT	  = $(INSTALL_ROOT)
TOAST_INSTALL_BIN = $(TOAST_INSTALL_ROOT)/bin
TOAST_INSTALL_MAN = $(TOAST_INSTALL_ROOT)/man/man1

#  Other tools

SHELL		= /bin/sh
LN		= ln
BASENAME 	= basename
AR		= ar
ARFLAGS		= cr
RMFLAGS		= -f
FIND		= find
COMPRESS 	= compress
COMPRESSFLAGS 	= 
# RANLIB 	= true
RANLIB	 	= ranlib

#
#    You shouldn't have to configure below this line if you're porting.
# 


# Local Directories

ROOT	= .
ADDTST	= $(ROOT)/add-test
TST	= $(ROOT)/tst
MAN	= $(ROOT)/man
BIN	= $(ROOT)/bin
SRC	= $(ROOT)/src
LIB	= $(ROOT)/lib
TLS	= $(ROOT)/tls
INC	= $(ROOT)/inc

# Flags

DEBUG	= -DNDEBUG
######### Remove -DNDEBUG to enable assertions.

_ASTCFLAGS += $(PG) $(CCFLAGS) $(SASR) $(DEBUG) $(MULHACK) $(FAST) \
	$(LTP_CUT) $(WAV49) $(K6OPT) $(CCINC) -I$(INC)
######### It's $(CC) $(CFLAGS)

LFLAGS	= $(PG) $(LDFLAGS) $(LDINC)
######### It's $(LD) $(LFLAGS)


# Targets

LIBGSM	= $(LIB)/libgsm.a
LIBGSMSO= $(LIB)/libgsm.so

TOAST	= $(BIN)/toast
UNTOAST	= $(BIN)/untoast
TCAT	= $(BIN)/tcat

# Headers

GSM_HEADERS =	$(INC)/gsm.h

HEADERS	=	$(INC)/proto.h		\
		$(INC)/unproto.h	\
		$(INC)/config.h		\
		$(INC)/private.h	\
		$(INC)/gsm.h		\
		$(INC)/toast.h		\
		$(TLS)/taste.h

# Sources

GSM_SOURCES =	$(SRC)/add.c		\
		$(SRC)/code.c		\
		$(SRC)/debug.c		\
		$(SRC)/decode.c		\
		$(SRC)/long_term.c	\
		$(SRC)/lpc.c		\
		$(SRC)/preprocess.c	\
		$(SRC)/rpe.c		\
		$(SRC)/gsm_destroy.c	\
		$(SRC)/gsm_decode.c	\
		$(SRC)/gsm_encode.c	\
		$(SRC)/gsm_explode.c	\
		$(SRC)/gsm_implode.c	\
		$(SRC)/gsm_create.c	\
		$(SRC)/gsm_print.c	\
		$(SRC)/gsm_option.c	\
		$(SRC)/short_term.c	\
		$(SRC)/table.c

# add k6-specific code only if not on a non-k6 hardware or proc.
# XXX Keep a space after each findstring argument
# XXX should merge with GSM_OBJECTS
ifeq ($(OSARCH),linux-gnu)
ifeq (,$(findstring $(shell uname -m) , x86_64 amd64 ppc ppc64 alpha armv4l sparc64 parisc s390 ))
ifeq (,$(findstring $(PROC) , arm armv5b armeb powerpc ia64 s390 bfin mipsel mips ))
GSM_SOURCES+= $(SRC)/k6opt.s
endif
endif
endif

TOAST_SOURCES = $(SRC)/toast.c 		\
		$(SRC)/toast_lin.c	\
		$(SRC)/toast_ulaw.c	\
		$(SRC)/toast_alaw.c	\
		$(SRC)/toast_audio.c

SOURCES	=	$(GSM_SOURCES)		\
		$(TOAST_SOURCES)	\
		$(ADDTST)/add_test.c	\
		$(TLS)/sour.c		\
		$(TLS)/ginger.c		\
		$(TLS)/sour1.dta	\
		$(TLS)/sour2.dta	\
		$(TLS)/bitter.c		\
		$(TLS)/bitter.dta	\
		$(TLS)/taste.c		\
		$(TLS)/sweet.c		\
		$(TST)/cod2lin.c	\
		$(TST)/cod2txt.c	\
		$(TST)/gsm2cod.c	\
		$(TST)/lin2cod.c	\
		$(TST)/lin2txt.c

# Object files

GSM_OBJECTS =	$(SRC)/add.o		\
		$(SRC)/code.o		\
		$(SRC)/debug.o		\
		$(SRC)/decode.o		\
		$(SRC)/long_term.o	\
		$(SRC)/lpc.o		\
		$(SRC)/preprocess.o	\
		$(SRC)/rpe.o		\
		$(SRC)/gsm_destroy.o	\
		$(SRC)/gsm_decode.o	\
		$(SRC)/gsm_encode.o	\
		$(SRC)/gsm_explode.o	\
		$(SRC)/gsm_implode.o	\
		$(SRC)/gsm_create.o	\
		$(SRC)/gsm_print.o	\
		$(SRC)/gsm_option.o	\
		$(SRC)/short_term.o	\
		$(SRC)/table.o

ifeq ($(OSARCH),linux-gnu)
ifeq (,$(findstring $(shell uname -m) , x86_64 amd64 ppc ppc64 alpha armv4l sparc64 parisc ))
ifeq (,$(findstring $(PROC) , arm armv5b armeb powerpc ia64 bfin mipsel mips ))
GSM_OBJECTS+= $(SRC)/k6opt.o
endif
endif
endif

TOAST_OBJECTS =	$(SRC)/toast.o 		\
		$(SRC)/toast_lin.o	\
		$(SRC)/toast_ulaw.o	\
		$(SRC)/toast_alaw.o	\
		$(SRC)/toast_audio.o

OBJECTS =	 $(GSM_OBJECTS) $(TOAST_OBJECTS)

# Manuals

GSM_MANUALS =	$(MAN)/gsm.3		\
		$(MAN)/gsm_explode.3	\
		$(MAN)/gsm_option.3	\
		$(MAN)/gsm_print.3

TOAST_MANUALS =	$(MAN)/toast.1

MANUALS	= 	$(GSM_MANUALS) $(TOAST_MANUALS) $(MAN)/bitter.1

# Other stuff in the distribution

STUFF = 	ChangeLog			\
		INSTALL			\
		MACHINES		\
		MANIFEST		\
		Makefile		\
		README			\
		$(ADDTST)/add_test.dta	\
		$(TLS)/bitter.dta	\
		$(TST)/run


# Install targets

GSM_INSTALL_TARGETS =	\
		$(GSM_INSTALL_LIB)/libgsm.a		\
		$(GSM_INSTALL_INC)/gsm.h		\
		$(GSM_INSTALL_MAN)/gsm.3		\
		$(GSM_INSTALL_MAN)/gsm_explode.3	\
		$(GSM_INSTALL_MAN)/gsm_option.3		\
		$(GSM_INSTALL_MAN)/gsm_print.3

TOAST_INSTALL_TARGETS =	\
		$(TOAST_INSTALL_BIN)/toast		\
		$(TOAST_INSTALL_BIN)/tcat		\
		$(TOAST_INSTALL_BIN)/untoast		\
		$(TOAST_INSTALL_MAN)/toast.1


# Default rules

include $(ASTTOPDIR)/Makefile.rules

# Target rules

all:		$(LIBGSM) $(LIBGSMSO) $(TOAST) $(TCAT) $(UNTOAST)
		@-echo $(ROOT): Done.

tst:		$(TST)/lin2cod $(TST)/cod2lin $(TOAST) $(TST)/test-result
		@-echo tst: Done.

addtst:		$(ADDTST)/add $(ADDTST)/add_test.dta
		$(ADDTST)/add < $(ADDTST)/add_test.dta > /dev/null
		@-echo addtst: Done.

misc:		$(TLS)/sweet $(TLS)/bitter $(TLS)/sour $(TLS)/ginger 	\
			$(TST)/lin2txt $(TST)/cod2txt $(TST)/gsm2cod
		@-echo misc: Done.

install:	toastinstall gsminstall
		@-echo install: Done.


# The basic API: libgsm

$(LIBGSMSO):	$(LIB) $(GSM_OBJECTS)
		$(LD) -o $@.1.0.10 -shared -Xlinker -soname -Xlinker libgsm.so.1 $(GSM_OBJECTS) -lc
		ln -fs libgsm.so.1.0.10 lib/libgsm.so.1
		ln -fs libgsm.so.1.0.10 lib/libgsm.so

$(LIBGSM): $(GSM_OBJECTS)
	$(ECHO_PREFIX) echo "   [AR] $^ -> $@"
	$(CMD_PREFIX) $(AR) cr $@ $^
	$(CMD_PREFIX) $(RANLIB) $@


# Toast, Untoast and Tcat -- the compress-like frontends to gsm.

$(TOAST):	$(BIN) $(TOAST_OBJECTS) $(LIBGSM)
		$(LD) $(LFLAGS) -o $(TOAST) $(TOAST_OBJECTS) $(LIBGSMSO) $(LDLIB)

$(UNTOAST):	$(BIN) $(TOAST)
		-rm $(RMFLAGS) $(UNTOAST)
		$(LN) toast $(UNTOAST)

$(TCAT):	$(BIN) $(TOAST)
		-rm $(RMFLAGS) $(TCAT)
		$(LN) toast $(TCAT)


# The local bin and lib directories

$(BIN):
		if [ ! -d $(BIN) ] ; then mkdir $(BIN) ; fi

$(LIB):
		if [ ! -d $(LIB) ] ; then mkdir $(LIB) ; fi


# Installation

gsminstall:
		-if [ x"$(GSM_INSTALL_ROOT)" != x ] ; then	\
			$(MAKE) $(GSM_INSTALL_TARGETS) ;	\
		fi

toastinstall:
		-if [ x"$(TOAST_INSTALL_ROOT)" != x ]; then	\
			$(MAKE) $(TOAST_INSTALL_TARGETS);	\
		fi

gsmuninstall:
		-if [ x"$(GSM_INSTALL_ROOT)" != x ] ; then	\
			rm $(RMFLAGS) $(GSM_INSTALL_TARGETS) ;	\
		fi

toastuninstall:
		-if [ x"$(TOAST_INSTALL_ROOT)" != x ] ; then 	\
			rm $(RMFLAGS) $(TOAST_INSTALL_TARGETS);	\
		fi

$(TOAST_INSTALL_BIN)/toast:	$(TOAST)
		-rm $@
		cp $(TOAST) $@
		chmod 755 $@

$(TOAST_INSTALL_BIN)/untoast:	$(TOAST_INSTALL_BIN)/toast
		-rm $@
		ln $? $@

$(TOAST_INSTALL_BIN)/tcat:	$(TOAST_INSTALL_BIN)/toast
		-rm $@
		ln $? $@

$(TOAST_INSTALL_MAN)/toast.1:	$(MAN)/toast.1
		-rm $@
		cp $? $@
		chmod 444 $@

$(GSM_INSTALL_MAN)/gsm.3:	$(MAN)/gsm.3
		-rm $@
		cp $? $@
		chmod 444 $@

$(GSM_INSTALL_MAN)/gsm_option.3:	$(MAN)/gsm_option.3
		-rm $@
		cp $? $@
		chmod 444 $@

$(GSM_INSTALL_MAN)/gsm_explode.3:	$(MAN)/gsm_explode.3
		-rm $@
		cp $? $@
		chmod 444 $@

$(GSM_INSTALL_MAN)/gsm_print.3:	$(MAN)/gsm_print.3
		-rm $@
		cp $? $@
		chmod 444 $@

$(GSM_INSTALL_INC)/gsm.h:	$(INC)/gsm.h
		-rm $@
		cp $? $@
		chmod 444 $@

$(GSM_INSTALL_LIB)/libgsm.a:	$(LIBGSM)
		-rm $@
		cp $? $@
		chmod 444 $@


# Distribution

dist:		gsm-1.0.tar.Z
		@echo dist: Done.

gsm-1.0.tar.Z:	$(STUFF) $(SOURCES) $(HEADERS) $(MANUALS)
		(	cd $(ROOT)/..;				\
			tar cvf - `cat $(ROOT)/gsm-1.0/MANIFEST	\
				| sed '/^#/d'`			\
		) | $(COMPRESS) $(COMPRESSFLAGS) > $(ROOT)/gsm-1.0.tar.Z

# Clean

uninstall:	toastuninstall gsmuninstall
		@-echo uninstall: Done.

semi-clean:
		-rm $(RMFLAGS)  */*.o			\
			$(TST)/lin2cod $(TST)/lin2txt	\
			$(TST)/cod2lin $(TST)/cod2txt	\

=== debian/changelog ===
asterisk (1:1.8.10.0~dfsg-1) unstable; urgency=low

  [ Tzafrir Cohen ]
  * New upstrean release.
  * Build-depend on sqlite3 as well (Closes: #531759).

  [ Paul Belanger ]
  * debian/patch/chan_iax2-detach-thread-on-non-stop-exit:
    - Dropped; merged upstream

  [ Mark Purcell ] 
  * New Release:
    - Fixes "SHA-1 code is doesn't allow modification" (Closes: #643703)
    - Fixes "[CVE-2012-1183 - CVE-2012-1184] Asterisk: AST-2012-002 and 
    AST-2012-003 flaws" (Closes: #664411)
    - Fixes "Placing calls on hold fails with some IP phones" (Closes: #632518)
    - Fixes "Pass the correct value to ast_timer_set_rate() for IAX2
    trunking." (Closes: #661974)
    - Fixes "Call quality on IAX significantly worse than SIP" (Closes: #481702)
    - Fixes "New upstream release: 1.8.2.2" (Closes: #610811)
    - Fixes "asterisk german number pronunciation" (Closes: #402991)
    - Fixes "Why using version 1.6.2.9 - it's not LTS" (Closes: #612147)
    - Fixes "SRTP/ZRTP support for Asterisk" (Closes: #577686)
    - Fixes "fails to register SIP channels on ARM"  (Closes: #660240)
  * Fix "Planned gmime 2.4 removal" Updated Build-Depends: (Closes: #663998)
  * export CFLAGS LDFLAGS
    - Fixes "Hardening flags missing for menuselect" (Closes: #664086)
    - Fixes "enable hardening options" (Closes: #542741)

 -- Mark Purcell <msp@debian.org>  Sun, 18 Mar 2012 16:47:35 +1100

=== debian/control ===
Source: asterisk
Priority: optional
Section: comm
Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Uploaders: Mark Purcell <msp@debian.org>, Tzafrir Cohen <tzafrir@debian.org>
Build-Depends: debhelper (>= 6.0.7),
 lsb-base (>= 3.2-14),
 libreadline-dev | libreadline5-dev,
 libgsm1-dev,
 libssl-dev,
 libtonezone-dev (>= 1:2.0.0) [linux-any],
 libasound2-dev,
 libpq-dev,
 unixodbc-dev,
 libmysqlclient-dev | libmysqlclient15-dev,
 libbluetooth-dev [linux-any],
 libpri-dev (>= 1.4.12),
 libss7-dev,
 libvpb-dev [linux-any],
 dahdi-source,
 autotools-dev,
 autoconf,
 automake,
 libnewt-dev,
 libsqlite0-dev | libsqlite-dev,
 libsqlite3-dev,
 libspeex-dev,
 libspeexdsp-dev,
 libcurl4-openssl-dev | libcurl-dev,
 libxml2-dev,
 libpopt-dev,
 libiksemel-dev,
 libradiusclient-ng-dev,
 freetds-dev,
 libvorbis-dev,
 libsnmp-dev,
 libc-client2007e-dev | libc-client2007b-dev,
 libgmime-2.6-dev,
 libjack-dev,
 liblua5.1-0-dev,
 libcap-dev (>= 1:2.16-4) [linux-any] | libcap2-dev [linux-any],
 libspandsp-dev,
 libopenr2-dev [linux-any],
 libresample1-dev,
 libopenais-dev,
 libncurses-dev,
 libneon27-gnutls-dev | libneon27-dev,
 libical-dev,
 libsrtp0-dev [!sparc !hurd-i386],
 zlib1g-dev
Standards-Version: 3.9.2.0
Homepage: http://www.asterisk.org/
Vcs-Svn: svn://svn.debian.org/pkg-voip/asterisk/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-voip/asterisk/?op=log

Package: asterisk
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, asterisk-config (= ${source:Version}) | asterisk-config-custom, asterisk-modules (= ${binary:Version}), adduser, asterisk-core-sounds-en-gsm | asterisk-prompt-en
Provides: asterisk-1.8
Recommends: sox, asterisk-voicemail | asterisk-voicemail-storage, asterisk-moh-opsound-gsm
Suggests: asterisk-doc, asterisk-dev, asterisk-ooh323, asterisk-dahdi
Description: Open Source Private Branch Exchange (PBX)
 Asterisk is an Open Source PBX and telephony toolkit.  It is, in a
 sense, middleware between Internet and telephony channels on the bottom,
 and Internet and telephony applications at the top.
 .
 Asterisk can be used with Voice over IP (SIP, H.323, IAX and more) standards,
 or the Public Switched Telephone Network (PSTN) through supported hardware.
 .
 Supported hardware:
 .
  * All Wildcard (tm) ISDN PRI cards from Digium (http://www.digium.com)
  * HFC-S/HFC-4S-based ISDN BRI cards (Junghanns.NET, beroNet, Digium etc.)
  * All TDM (FXO/FXS) cards from Digium
  * Various clones of Digium cards such as those by OpenVox
  * Xorcom Astribank USB telephony adapter (http://www.xorcom.com)
  * Voicetronix OpenPCI, OpenLine and OpenSwitch cards
  * CAPI-compatible ISDN cards (using the add-on package chan-capi)
  * Full Duplex Sound Card (ALSA or OSS) supported by Linux
  * Tormenta T1/E1 card (http://www.zapatatelephony.org)
  * QuickNet Internet PhoneJack and LineJack (http://www.quicknet.net)
 .
 This is the main package that includes the Asterisk daemon and most channel
 drivers and applications.

Package: asterisk-modules
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Section: libs
Breaks: asterisk (<< 1:1.8.3.3), asterisk-h323 (<< 1:1.8.4.4~dfsg-2)
Replaces: asterisk (<< 1:1.8.3.3)
Description: loadable modules for the Asterisk PBX
 Asterisk is an Open Source PBX and telephony toolkit.
 .
 This package includes most of the loadable modules of the Asterisk package.
 There is normally no need to explicitly install it.

Package: asterisk-dahdi
Architecture: linux-any
Depends: asterisk (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, dahdi
Breaks: asterisk (<< 1:1.8.3.3)
Replaces: asterisk (<< 1:1.8.3.3)
Description: DAHDI devices support for the Asterisk PBX
 Asterisk is an Open Source PBX and telephony toolkit.
 .
 This package includes the DAHDI channel driver (chan_dahdi.so) and a
 number of other Asterisk modules that require DAHDI support (app_meetme.so,
 res_timing_dahdi.so). They will not be useful without kernel-level DAHDI
 support.
 .
 For more information about the Asterisk PBX, have a look at the Asterisk
 package.

Package: asterisk-voicemail
Architecture: any
Depends: asterisk (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Provides: asterisk-voicemail-storage
Conflicts: asterisk-voicemail-storage
Breaks: asterisk (<< 1:1.8.3.3)
Replaces: asterisk (<< 1:1.8.3.3)
Description: simple voicemail support for the Asterisk PBX
 Asterisk is an Open Source PBX and telephony toolkit.
 .
 This package includes the standard files-based voicemail storage. This
 is normally the one you use and is the one that will Just Work. The only
 reason not to install it is if you want to use a different Asterisk
 voicemail storage (ODBC or IMAP).
 .
 For more information about the Asterisk PBX, have a look at the Asterisk
 package.

Package: asterisk-voicemail-imapstorage
Architecture: any
Depends: asterisk (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Provides: asterisk-voicemail-storage
Conflicts: asterisk-voicemail-storage
Breaks: asterisk (<< 1:1.8.3.3)
Replaces: asterisk (<< 1:1.8.3.3)
Description: IMAP voicemail storage support for the Asterisk PBX
 Asterisk is an Open Source PBX and telephony toolkit.
 .
 This package includes an IMAP-based voicemail storage: storing the
 voicemail in a remote IMAP mail boxes. While more complex to set up,
 it may be useful in some settings.
 .
 For more information about the Asterisk PBX, have a look at the Asterisk
 package.

Package: asterisk-voicemail-odbcstorage
Architecture: any
Depends: asterisk (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Provides: asterisk-voicemail-storage
Conflicts: asterisk-voicemail-storage
Breaks: asterisk (<< 1:1.8.3.3)
Replaces: asterisk (<< 1:1.8.3.3)
Description: ODBC voicemail storage support for the Asterisk PBX
 Asterisk is an Open Source PBX and telephony toolkit.
 .
 This package includes an database-based voicemail storage: storing the
 voicemail in a database accessed through the ODBC interface. While more
 complex to set up, it may be useful in some settings.
 .
 For more information about the Asterisk PBX, have a look at the Asterisk
 package.

Package: asterisk-ooh323
Architecture: any
Depends: asterisk (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: H.323 protocol support for the Asterisk PBX - ooH323c
 Asterisk is an Open Source PBX and telephony toolkit.
 .
 This channel driver (chan_ooh323c) provides support for the H.323 protocol
 for Asterisk. This is an independent implementation that does not depend
 on OpenH323, but may be less functional than the original chan_h323.
 .
 For more information about the Asterisk PBX, have a look at the Asterisk
 package.

Package: asterisk-mp3
Architecture: any
Depends: asterisk (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: MP3 playback support for the Asterisk PBX
 Asterisk is an Open Source PBX and telephony toolkit.
 .
 This package provides support for playing MP3-encoded files in
 Asterisk.
 .
 For more information about the Asterisk PBX, have a look at the Asterisk
 package.

Package: asterisk-mysql
Architecture: any
Depends: asterisk (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: MySQL database protocol support for the Asterisk PBX
 Asterisk is an Open Source PBX and telephony toolkit.
 .
 This package provides support for using a MySQL database to store
 configuration, call-detatils record, and also provides generic access to
 it from the dialplan.
 .
 For more information about the Asterisk PBX, have a look at the Asterisk
 package.

Package: asterisk-mobile
Architecture: linux-any
Depends: asterisk (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Bluetooth phone support for the Asterisk PBX
 Asterisk is an Open Source PBX and telephony toolkit.
 .
 This package provides support for connecting Bluetooth devices to the
 Asterisk PBX. It allows you to:
   * Send and receive PSTN calls and SMS messages over a Bluetooth phone.
   * Use a Bluetooth handset as a local phone connected to your PBX.
 .
 For more information about the Asterisk PBX, have a look at the Asterisk
 package.

Package: asterisk-doc
Depends: ${misc:Depends}
Recommends: asterisk
Section: doc
Priority: extra
Architecture: all
Description: Source code documentation for Asterisk
 Asterisk is an Open Source PBX and telephony toolkit.
 .
 This package contains the documentation for configuring an Asterisk system.

Package: asterisk-dev
Architecture: all
Depends: ${misc:Depends}
Recommends: asterisk
Section: devel
Priority: extra
Description: Development files for Asterisk
 Asterisk is an Open Source PBX and telephony toolkit.
 .
 This package contains the include files used if you wish to compile a
 package which requires Asterisk's source file headers.

Package: asterisk-dbg
Architecture: any
Depends: asterisk (= ${binary:Version}), ${misc:Depends}
Section: debug
Priority: extra
Description: Debugging symbols for Asterisk
 Asterisk is an Open Source PBX and telephony toolkit.
 .
 This package includes the debugging symbols useful for debugging
 Asterisk. The debugging symbols are used for execution tracing and core 
 dump analysis. 

Package: asterisk-config
Depends: ${misc:Depends}
Recommends: asterisk
Conflicts: asterisk-config-custom
Architecture: all
Description: Configuration files for Asterisk
 Asterisk is an Open Source PBX and telephony toolkit.
 .
 This package contains the default configuration files of Asterisk.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  confflags += --build $(DEB_HOST_GNU_TYPE)
else
  confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

# We copy around a number of things in case we're linux:
BUILD_OS=$(shell dpkg-architecture -qDEB_BUILD_ARCH_OS)

export PROC := $(shell dpkg-architecture -qDEB_BUILD_GNU_CPU)

CFLAGS = `dpkg-buildflags --get CFLAGS`
LDFLAGS = `dpkg-buildflags --get LDFLAGS`
CFLAGS += `dpkg-buildflags --get CPPFLAGS`

# Necessary to pass hardening flags to menuselect.
export CFLAGS LDFLAGS


ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
	BUILDFLAGS += OPTIMIZE=-O0
else
	BUILDFLAGS += OPTIMIZE=-O2
endif
BUILDFLAGS += MAKECMDGOALS=dont-optimize

# show full gcc arguments instead of [CC] and [LD]
BUILDFLAGS += NOISY_BUILD=yes

BUILDFLAGS += ASTDATADIR=/usr/share/asterisk ASTVARRUNDIR=/var/run/asterisk

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	ENABLE_DEBUG += --enable-dev-mode
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

DEBVERSION:=$(shell dpkg-parsechangelog | sed -n -e 's/Version: //p')
DEB_NOEPOCH_VERSION:=$(shell echo $(DEBVERSION) | cut -d':' -f 2)
DEB_SRC_VERSION:=$(shell echo $(DEB_NOEPOCH_VERSION) | sed -e 's/-[^-]\+$$//')
UPVERSION:=$(shell echo $(DEB_SRC_VERSION) | sed -e 's/[.~]dfsg//' -e 's/~\(\(rc\|beta\)[0-9]\)/-\1/')

FILENAME := asterisk_$(DEB_SRC_VERSION).orig.tar.gz
UPFILENAME := asterisk_$(UPVERSION).orig.tar.gz
URL := http://downloads.asterisk.org/pub/telephony/asterisk/releases/asterisk-$(UPVERSION).tar.gz

# make sure we have 'fetch' . We need to have either wget or fetch
# on the system. However it is generally not a good idea to actually
# get remote tarballs at build time. So if neither wget nor fetch 
# happen to be installed, the configure script will find a dummy
# fetch script that always returns an error.
FETCH_ENV = PATH=$$PATH:$(CURDIR)/debian/dummyprogs

configure: configure.ac
	if [ ! -f configure_deborig ]; then mv configure configure_deborig; fi
	./bootstrap.sh

config.status: configure
	dh_testdir

	[ -f .version.debian_sav ] || cp -a .version .version.debian_sav
	echo $(DEB_NOEPOCH_VERSION) > .version

	if [ ! -r configure.debian_sav ]; then cp -a configure configure.debian_sav; fi

	chmod 755 $(CURDIR)/debian/dummyprogs/fetch
	
	$(FETCH_ENV) ./configure			\
		CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" \
		--host=$(DEB_HOST_GNU_TYPE)		\
		--build=$(DEB_BUILD_GNU_TYPE)		\
		--prefix=/usr				\
		--mandir=\$${prefix}/share/man		\
		--infodir=\$${prefix}/share/info	\
		--with-gsm				\
		--with-imap=system			\
		--without-pwlib				\
		${ENABLE_DEBUG}

#		--with-cap \

build: build-arch build-indep

build-arch: build-arch-stamp
build-arch-stamp: config.status
	dh_testdir
	$(MAKE) menuselect.makeopts
	@if [ "x${ENABLE_DEBUG}" != "x" ] ; then \
		menuselect/menuselect --enable DONT_OPTIMIZE menuselect.makeopts ; \
		menuselect/menuselect --enable DEBUG_THREADS menuselect.makeopts ; \
	fi
	$(FETCH_ENV) $(MAKE) $(BUILDFLAGS)
	touch $@

build-indep: build-indep-stamp
build-indep-stamp: config.status
	dh_testdir
	touch $@

SND_FILE=asterisk-core-sounds-en-gsm-1.4.20.tar.gz
clean:
	dh_testdir
	dh_testroot
	
	# The clean target seems to be run before patches are applied.
	# A brute-force fix to keep the tarball from getting deleted:
	# (if it has not been stripped from upstream tarball)
	if [ -r sounds/$(SND_FILE) ]; then mv sounds/$($SND_FILE) debian/; fi
	GREP=grep AWK=awk $(MAKE) distclean
	if [ -r debian/$(SND_FILE) ]; then mv debian/$(SND_FILE) sounds/; fi
	-$(RM) -rf debian/build

	if [ -r configure.debian_sav ]; then mv configure.debian_sav configure; fi
	-test -d configs && chmod -x configs/*.sample
	-$(RM) -f build-arch-stamp build-indep-stamp install-arch install-indep
	-$(RM) -f config.status menuselect.makeopts

	[ ! -f .version.debian_sav ] || mv .version.debian_sav .version
	if [ -f configure_deborig ]; then mv configure_deborig configure; fi

	# these were generated while building
	-$(RM) -f doc/core-en_US.xml utils/poll.c

	dh_clean

SUBPACKS_EXTRA = \
		 voicemail voicemail-odbcstorage voicemail-imapstorage \
		 ooh323 mysql mp3
ifeq (linux,$(BUILD_OS))
SUBPACKS_EXTRA += dahdi mobile
endif
SUBPACKS_EXTRA_DIRS = $(SUBPACKS_EXTRA:%=$(CURDIR)/debian/asterisk-%)
SUBPACKS_EXTRA_DIRS_MOD = $(SUBPACKS_EXTRA_DIRS:%=%/usr/lib/asterisk/modules)

install: install-arch install-indep
install-arch: build-arch
	dh_testdir
	dh_testroot
	dh_prep -s
	dh_installdirs -s
	
	$(FETCH_ENV) $(MAKE) $(BUILDFLAGS) DESTDIR=$(CURDIR)/debian/tmp install
	cp -a configs $(CURDIR)/debian/tmp/usr/share/asterisk/conf

	dh_install -s --sourcedir=debian/tmp
	dh_lintian -s

	$(RM) -f $(CURDIR)/debian/asterisk/usr/sbin/aelparse
	$(RM) -f $(CURDIR)/debian/asterisk/usr/sbin/conf2ael
	$(RM) -f $(CURDIR)/debian/asterisk/usr/sbin/muted
	$(RM) -f $(CURDIR)/debian/asterisk/usr/sbin/streamplayer
	$(RM) -f $(CURDIR)/debian/asterisk/usr/sbin/stereorize
	$(RM) -f $(CURDIR)/debian/asterisk/usr/sbin/hashtest*
	$(RM) -f $(CURDIR)/debian/asterisk/usr/sbin/refcounter

	extra_packs=`find $(SUBPACKS_EXTRA_DIRS_MOD) -name '*.so' -printf '%f\n'`\
		    ; cd $(CURDIR)/debian/asterisk-modules/usr/lib/asterisk/modules \
		    && rm -f $$extra_packs

	# Rename dh_install file for -imapstorage and -odbcstorage.
	mv $(CURDIR)/debian/asterisk-voicemail-imapstorage/usr/lib/asterisk/modules/app_voicemail_imapstorage.so \
		$(CURDIR)/debian/asterisk-voicemail-imapstorage/usr/lib/asterisk/modules/app_voicemail.so
	mv $(CURDIR)/debian/asterisk-voicemail-odbcstorage/usr/lib/asterisk/modules/app_voicemail_odbcstorage.so \
		$(CURDIR)/debian/asterisk-voicemail-odbcstorage/usr/lib/asterisk/modules/app_voicemail.so

	touch $@

install-indep: build-indep
	dh_testdir
	dh_testroot
	dh_prep -i
	dh_installdirs -i

	$(FETCH_ENV) $(MAKE) $(BUILDFLAGS) DESTDIR=$(CURDIR)/debian/tmp install samples
	dh_install -i --sourcedir=debian/tmp
	dh_lintian -i

	# create a simple config
	echo "; please read the documentation regarding the Manager Interface (asterisk-doc package)" > \
		$(CURDIR)/debian/asterisk-config/etc/asterisk/manager.d/README.conf
	touch $@

binary: binary-indep binary-arch
binary-indep: install-indep
	dh_testdir -i
	dh_testroot -i
	dh_installlogrotate -i 
	dh_installdocs -i -XREADME.cygwin
	dh_installexamples -i
	dh_installcron -i
	dh_installchangelogs ChangeLog -i
	dh_link -i 
	dh_compress -i
	dh_fixperms -i
	# should follow dh_fixperms; asterisk configurations may contain
	# sensitive information, such as passwords
	chmod o-rwx $(CURDIR)/debian/asterisk-config/etc/asterisk/*
	chmod o+rx  $(CURDIR)/debian/asterisk-config/etc/asterisk/manager.d
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: install-arch
	dh_testdir -a
	dh_testroot -a
	dh_installlogrotate -a
	dh_installdocs -a
	dh_installman utils/*.1 doc/*.8 contrib/scripts/*.8
	dh_installexamples -a
	dh_installchangelogs ChangeLog -a
	dh_installinit -a -- defaults 21
	dh_strip -a --dbg-package=asterisk-dbg
	dh_link -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

print-version:
	@@echo "Debian version:          $(DEBVERSION)"
	@@echo "Upstream version:        $(UPVERSION)"

TMP_TARBALL_TOP=../tarballs/asterisk-$(UPVERSION).tmp/asterisk-$(UPVERSION)
get-orig-source:
	@@dh_testdir
	#@@[ -d ../tarballs/. ]||mkdir -p ../tarballs
	#@@echo Downloading $(FILENAME) from $(URL) ...
	#@@wget -nv -T10 -t3 -O ../tarballs/$(FILENAME) $(URL)
	@echo Downloading $(UPFILENAME) from $(URL) ...
	@wget -nv -T10 -t3 -O ../tarballs/$(UPFILENAME) $(URL)
	@echo Repacking as DFSG-free...
	@mkdir -p ../tarballs/asterisk-$(UPVERSION).tmp/
	@cd ../tarballs/asterisk-$(UPVERSION).tmp ; \
		tar xfz ../$(UPFILENAME)

## asterisk 1.8.10.1~dfsg

=== debian/changelog ===
asterisk (1:1.8.10.1~dfsg-1ubuntu1) precise; urgency=low

  * Merge from Debian unstable. (LP: #987772, #956578, #956580, #956581)
  * Remaining changes:
    - debian/asterisk.init: chown /dev/dahdi
    - debian/backports/hardy: add file
    - debian/backports/asterisk.init.hardy: add file
    - Fix building on armhf with debian/patches/armhf-fixes:
      + Flatten linux-gnueabihf in configure to linux-gnu, in
        the same way that's already done for linux-gnueabi
  * Changes dropped from Ubuntu delta as no longer applicable:
    - debian/patches/backport-r312866.diff: Backported from upstream
    - debian/control: Build-depend on hardening-wrapper, now handled
      by dpkg-buildflags
    - debian/rules: Make use of hardening-wrapper
  
 -- Andrew Mitchell <ajmitch@ubuntu.com>  Tue, 24 Apr 2012 22:15:54 +1200

asterisk (1:1.8.10.1~dfsg-1) unstable; urgency=low

  [ Victor Seva ]
  * Update backports/squeeze script gmime2.6 -> gmime2.4

  [ Tzafrir Cohen ]
  * New upstrean bug-fix release.
    - Fixes "[CVE-2012-1183 - CVE-2012-1184] Asterisk: AST-2012-002 and 
      AST-2012-003 flaws" (Closes: #664411).
  * Patch gmime2.6 (Closes: #663998, #664004), also fixed Build-Depends.
  * Remove the text of RFC 3951 from the tarball. (Closes: #665937)

 -- Mark Purcell <msp@debian.org>  Sat, 31 Mar 2012 08:44:57 +1100

asterisk (1:1.8.4.4~dfsg-2ubuntu4) precise; urgency=low

  * debian/patches/backport-r312866.diff
  -  Responding to OPTIONS packet with 404 because Asterisk not looking for
     "s" extension (LP: #920020)

 -- Paul Belanger <paul.belanger@polybeacon.com>  Sat, 10 Mar 2012 21:38:29 +0100

asterisk (1:1.8.4.4~dfsg-2ubuntu3) precise; urgency=low

  * Fix building on armhf with debian/patches/armhf-fixes:
    - Add linux-gnueabihf to list of OSARCHes that need -ldl
    - Flatten linux-gnueabihf in configure to linux-gnu, in
      the same way that's already done for linux-gnueabi

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 12 Jan 2012 09:08:17 -0700

asterisk (1:1.8.4.4~dfsg-2ubuntu2) precise; urgency=low

  * Rebuild for libmysqlclient transition.

 -- Clint Byrum <clint@ubuntu.com>  Wed, 23 Nov 2011 10:52:40 -0800

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: asterisk
 Priority: optional
 Section: comm
-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
 Uploaders: Mark Purcell <msp@debian.org>, Tzafrir Cohen <tzafrir@debian.org>
 Build-Depends: debhelper (>= 6.0.7),
  lsb-base (>= 3.2-14),

## asterisk 1.8.13.1~dfsg

=== debian/changelog ===
asterisk (1:1.8.13.1~dfsg-3ubuntu3) saucy; urgency=low

  * Use the autotools-dev dh addon to update config.guess/config.sub for
    arm64.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 17 Oct 2013 00:43:57 +0100

asterisk (1:1.8.13.1~dfsg-3ubuntu2) saucy; urgency=low

  * Drop Build-Depends on libopenais-dev. This drops support for res_ais.so.
    A newer upstream release has support for Corosync instead of ais.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Wed, 25 Sep 2013 14:06:23 -0400

asterisk (1:1.8.13.1~dfsg-3ubuntu1) saucy; urgency=low

  * Merge from Debian unstable. (LP: #1205644) Remaining changes:
    - debian/asterisk.init:
      + chown /dev/dahdi
    - debian/control, debian/rules:
      + Enable Hardening Wrapper (PIE and BIND_NOW).
      + Build against libical 1.0.
    - debian/patches/armhf-fixes:
      + Fix FTBFS on armhf.
  * Fixed security issues:
    - CVE-2012-5976 (LP: #1097687)
    - CVE-2012-5977 (LP: #1097691)
    - CVE-2013-2686
    - CVE-2013-2264

 -- Artur Rona <ari-tczew@tlen.pl>  Sat, 27 Jul 2013 14:56:17 +0200

asterisk (1:1.8.13.1~dfsg-3) unstable; urgency=high

  * Rewrtote sip.conf parts of AST-2012-014: dropped patches
    fix-sip-tcp-no-FILE and fix-sip-tls-leak.
  * Reverting other changes rejected by the release team: README.Debian,
    powerpcspe and fix_xmpp_19532 dropped (#545272 and #701505 reopened).

 -- Tzafrir Cohen <tzafrir@debian.org>  Tue, 09 Apr 2013 13:23:07 +0300

asterisk (1:1.8.13.1~dfsg-2) unstable; urgency=high

  * Patches backported from Asterisk 1.8.19.1 (Closes: #697230):
    - Patch AST-2012-014 (CVE-2012-5976) - fixes Crashes due to large stack
      allocations when using TCP.
      The following two fixes were also pulled in order to easily apply it:
      - Patch fix-sip-tcp-no-FILE - Switch to reading with a recv loop
      - Patch fix-sip-tls-leak - Memory leak in the SIP TLS code
    - Patch AST-2012-015 (CVE-2012-5977) - Denial of Service Through
      Exploitation of Device State Caching
  * Patch powerpcspe: Fix OSARCH for powerpcspe (Closes: #701505).
  * README.Debian: document running the testsuite. 
  * Patch fix_xmpp_19532: fix a crash of the XMPP code (Closes: #545272).
  * Patches backported from Asterisk 1.8.20.2 (Closes: #704114):
    - Patch AST-2013-002 (CVE-2013-2686): Prevent DoS in HTTP server with
      a large POST.
    - Patch AST-2013-003 (CVE-2013-2264): Prevent username disclosure in
      SIP channel driver.
  * Patch bluetooth_bind - fix breakage of chan_mobile (Closes: #614786).

 -- Tzafrir Cohen <tzafrir@debian.org>  Sat, 06 Apr 2013 14:15:41 +0300

asterisk (1:1.8.13.1~dfsg-1ubuntu4) saucy; urgency=low

  * Build against libical 1.0

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 13 Jun 2013 13:23:50 +0100

asterisk (1:1.8.13.1~dfsg-1ubuntu3) saucy; urgency=low

  * Rebuild for libsnmp30.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 20 May 2013 09:47:14 +0100

asterisk (1:1.8.13.1~dfsg-1ubuntu2) quantal; urgency=low

  * Build-depend on hardening-wrapper again,
    reenables pie and bindnow (LP: #1039542)

 -- Julian Taylor <jtaylor@ubuntu.com>  Tue, 09 Oct 2012 21:44:39 +0200

asterisk (1:1.8.13.1~dfsg-1ubuntu1) quantal; urgency=low

  * Merge from Debian unstable. (LP: #1022360, CVE-2012-3812)
    Remaining changes:
    - debian/asterisk.init: chown /dev/dahdi  
    - Fix building on armhf with debian/patches/armhf-fixes:
      + Flatten linux-gnueabihf in configure to linux-gnu, in
        the same way that's already done for linux-gnueabi

 -- Julian Taylor <jtaylor@ubuntu.com>  Sat, 08 Sep 2012 12:38:06 +0200

asterisk (1:1.8.13.1~dfsg-1) unstable; urgency=low

  * New upstream release (Closes: #680470):
    - Fixes AST-2012-010 (CVE-2012-3863).
    - Fixes AST-2012-011 (CVE-2012-38612).
  * Patch AST-2012-012 (CVE-2012-2186): AMI User Shell Access with ExternalIVR
  * Patch AST-2012-012 (CVE-2012-4737): ACL rules ignored during calls
    by some IAX2 peers.

 -- Tzafrir Cohen <tzafrir@debian.org>  Sat, 01 Sep 2012 04:44:12 +0300

asterisk (1:1.8.13.0~dfsg-1ubuntu1) quantal; urgency=low

  * Merge from Debian unstable. 
  * Remaining changes:
    - debian/asterisk.init: chown /dev/dahdi  
    - Fix building on armhf with debian/patches/armhf-fixes:
      + Flatten linux-gnueabihf in configure to linux-gnu, in
        the same way that's already done for linux-gnueabi
  * Changes dropped from Ubuntu delta as no longer applicable:
    - debian/backports/hardy: add file
    - debian/backports/asterisk.init.hardy: add file

 -- Andrew Mitchell <ajmitch@ubuntu.com>  Fri, 15 Jun 2012 09:18:16 +1200

asterisk (1:1.8.13.0~dfsg-1) unstable; urgency=high

  * New upstream release.
    - AST-2012-007 (CVE-2012-2947): Fix IAX receiving HOLD without
      suggested MOH class crash (Closes: #675204).
    - AST-2012-008 (CVE-2012-2948): remote crash issue in chan_skinny
      (Closes: #675210).
    - Patch gmime2.6 removed: merged upstream.
    - Patch sparc32_disable removed: hacks removed from Upstream Makefile.
  * Also pass LDFLAGS to menuselect (Closes: #664086 for real).
  * Fully strip-out the ilbc code (Closes: #665938, #665937).
    - Patch ilbc_disable to fix the build.
  * Patch httpd_port: Fix port number of Asterisk httpd.
  * While we're at it: Closes: #606959, which is a non-issue.

 -- Tzafrir Cohen <tzafrir@debian.org>  Wed, 16 May 2012 18:43:18 +0300

asterisk (1:1.8.11.1~dfsg-1) unstable; urgency=high

  * New upstream release, Closes: #670180:
    - AST-2012-004 - further Manager permission fixes (CVE-2012-2414).
    - AST-2012-005 - Heap overflow in chan_skinny (CVE-2012-2415).
    - AST-2012-006 - Remote crash on SIP "UPDATE" method (CVE-2012-2416).
  * Fix daemon status check in init.d script (Closes: #669378).
  * Patch menuselect_cflags: allow passing our flags to menuselect's build.
    - Use it t opass our CFLAGS to menuselect (Closes: #664086).

 -- Tzafrir Cohen <tzafrir@debian.org>  Wed, 25 Apr 2012 12:19:06 +0300

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 XSBC-Original-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
 Uploaders: Mark Purcell <msp@debian.org>, Tzafrir Cohen <tzafrir@debian.org>
 Build-Depends: debhelper (>= 6.0.7),
+ hardening-wrapper,
  lsb-base (>= 3.2-14),
  libreadline-dev | libreadline5-dev,
  libgsm1-dev,
@@ -43,10 +44,9 @@
  libspandsp-dev,
  libopenr2-dev [linux-any],
  libresample1-dev,
- libopenais-dev,
  libncurses-dev,
  libneon27-gnutls-dev | libneon27-dev,
- libical-dev,
+ libical-dev (>= 1.0),
  libsrtp0-dev [!sparc !hurd-i386],
  zlib1g-dev
 Standards-Version: 3.9.2.0

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+export DEB_BUILD_HARDENING=1
 
 export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
@@ -20,8 +21,12 @@
 LDFLAGS = `dpkg-buildflags --get LDFLAGS`
 CFLAGS += `dpkg-buildflags --get CPPFLAGS`
 
+# For CFLAGS/LDFLAGS of menuselect:
+BUILD_CFLAGS = $(CFLAGS)
+BUILD_LDFLAGS = $(LDFLAGS)
+
 # Necessary to pass hardening flags to menuselect.
-export CFLAGS LDFLAGS
+export CFLAGS LDFLAGS BUILD_CFLAGS BUILD_LDFLAGS
 
 
 ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
@@ -63,8 +68,11 @@
 	if [ ! -f configure_deborig ]; then mv configure configure_deborig; fi
 	./bootstrap.sh
 
+# Make sure the configure script gets an CFLAGS parameter. Otherwise
+# it will build with -march=native
 config.status: configure
 	dh_testdir
+	dh_autotools-dev_updateconfig
 
 	[ -f .version.debian_sav ] || cp -a .version .version.debian_sav
 	echo $(DEB_NOEPOCH_VERSION) > .version
@@ -129,6 +137,7 @@
 	# these were generated while building
 	-$(RM) -f doc/core-en_US.xml utils/poll.c
 
+	dh_autotools-dev_restoreconfig
 	dh_clean
 
 SUBPACKS_EXTRA = \
@@ -237,10 +246,3 @@
 	@@dh_testdir
 	#@@[ -d ../tarballs/. ]||mkdir -p ../tarballs
 	#@@echo Downloading $(FILENAME) from $(URL) ...
-	#@@wget -nv -T10 -t3 -O ../tarballs/$(FILENAME) $(URL)
-	@echo Downloading $(UPFILENAME) from $(URL) ...
-	@wget -nv -T10 -t3 -O ../tarballs/$(UPFILENAME) $(URL)
-	@echo Repacking as DFSG-free...
-	@mkdir -p ../tarballs/asterisk-$(UPVERSION).tmp/
-	@cd ../tarballs/asterisk-$(UPVERSION).tmp ; \
-		tar xfz ../$(UPFILENAME)
